using OpenQA.Selenium;

namespace ESuite.UI.E2E.Pages
{
    public class EditUsersPage
    {
        private readonly IWebDriver driver;

        // Constructor to initialize the driver
        public EditUsersPage(IWebDriver driver)
        {
            this.driver = driver;
        }

        // Page elements
        public By MailField => By.CssSelector("input#email");
        public By FirstNameField => By.CssSelector("input#FirstName");
        public By MiddleNamesField => By.CssSelector("input#MiddleNames");
        public By LastNameField => By.CssSelector("input#LastName");
        public By MFACheckbox => By.CssSelector("#UsingTwoFactorAuthentication");
        public By MFAKey => By.CssSelector(".form-group div label");
        public By MFACodeField => By.CssSelector("#SecurityCode");
        public static By PasswordValidationSuccessString(string text) => By.XPath($"//li[@class='checked'][contains(text(), '{text}')]");

    }
}